SDL_GetKeyboardNameForID(3)

NAME
SDL_GetKeyboardNameForID - Get the name of a keyboard.

SYNOPSIS
#include <SDL3/SDL_keyboard.h>

const char * SDL_GetKeyboardNameForID(SDL_KeyboardID instance_id);

DESCRIPTION
This function returns "" if the keyboard doesn't have a name.

FUNCTION PARAMETERS

instance_id
    the keyboard instance ID.

RETURN VALUE
for more information.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GetKeyboards(3)